Subject: bug#71962: Flatpak applications fail to launch with systemd-related error

From: Z572 <[email-masked]>
Date: Sat, 06 Jul 2024 22:47:29 +0800

Juliana Sims via Bug reports for GNU Guix <[email-masked]> writes:

> Hello,
>
> I ran a system reconfigure for the first time in a while today. After
> doing so, I noticed that Flatpak apps fail to launch. Specifically,
> when running `flatpak run org.gnome.Fractal`, which was working fine
> before, the application hangs instead of launching and, with `-v`,
> prints the following:
>
> ```
> F: No installations directory in
> /gnu/store/v4dy0sfj7znnzar1nn18jz0aznjni2fv-flatpak-1.14.6/etc/flatpak/installations.d. Skipping
> F: Opening system flatpak installation at path /var/lib/flatpak
> F: Opening user flatpak installation at path
> /home/user/.local/share/flatpak
> F: Opening user flatpak installation at path
> /home/user/.local/share/flatpak
> F: Opening user flatpak installation at path
> /home/user/.local/share/flatpak
> F:
> /home/user/.local/share/flatpak/runtime/org.gnome.Platform/x86_64/46/1ad35c08f997c0257506b34db175a27438799f0e5dc0f5e56ebe3635f53cbf58/files/lib32
> does not exist
> F: Cleaning up unused container id 181884517
> F: Cleaning up per-app-ID state for org.gnome.Fractal
> F: Allocated instance id 3966080007
> F: Add defaults in dir /org/gnome/Fractal/
> F: Add locks in dir /org/gnome/Fractal/
> F: Allowing dri access
> F: Allowing wayland access
> F: Allowing pulseaudio access
> F: Failed to run in transient scope: No systemd user session
> available, cgroups not available
> F: Running
> '/gnu/store/y6l9z58xm8jzj7n1vxi5mcdb90x4sgal-bubblewrap-0.8.0/bin/bwrap
> --args 35 --
> /gnu/store/kxlbkakfs2b7m30vyr4r1gkb4zwzfi9p-xdg-dbus-proxy-0.1.5/bin/xdg-dbus-proxy
> --args=37'
> ```
>
> Of these messages, I suspect the culprit is "No systemd user session
> available."
>
> I had elogind installed through the GNOME system service while flatpak
> was installed in my user home profile. I moved flatpak to the system
> profile and reconfigured the system; this did not help.

Can you try another app, maybe there's a problem with this one 

> Best,
> Juli